%define module_name Alien-hiredis
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Alien/Base.pm) perl(Alien/Build.pm) perl(Alien/Build/MM.pm) perl(Alien/Build/Plugin/Build/Make.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(HTTP/Tiny.pm) perl(Test/Alien.pm) perl(Test/More.pm) perl(parent.pm) pkgconfig(hiredis)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.013
Release: alt1
Summary: Alien wrapper for hiredis
Group: Development/Perl
License: artistic_2
URL: https://github.com/Grinnz/Alien-hiredis

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DB/DBOOK/%{module_name}-%{version}.tar.gz

%description
This module provides the hiredis
minimalistic C client library for the Redis database. See
the Alien::Build::Manual::AlienUser manpage for usage.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE CONTRIBUTING.md README
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
* Mon Apr 07 2025 Igor Vlasenko <viy@altlinux.org> 0.013-alt1
- updated by package builder

* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.011-alt2
- rebuild with perl 5.38

* Thu Dec 09 2021 Igor Vlasenko <viy@altlinux.org> 0.011-alt1
- initial import by package builder

